=== debian/changelog ===
percona-toolkit (3.2.1-1) unstable; urgency=medium

  * New upstream release (3.2.1) 
  * debian/patches/01-fix-spelling-errors.diff: refreshed

 -- Dario Minnucci <midget@debian.org>  Sun, 30 Aug 2020 12:55:55 +0200
