=== debian/control ===
Source: percona-toolkit
Section: utils
Priority: optional
Maintainer: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 4.5.0
Homepage: https://www.percona.com/software/database-tools/percona-toolkit
Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit

Package: percona-toolkit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
Replaces: maatkit
Conflicts: maatkit
Description: Command-line tools for MySQL and system tasks
 Percona Toolkit is a collection of advanced command-line tools to
 perform a variety of MySQL and system tasks that are too difficult
 or complex to perform manually, including:
 .
  - Verify master and replica data consistency
  - Efficiently archive rows
  - Find duplicate indexes
  - Summarize MySQL servers
  - Analyze queries from logs and tcpdump
  - Collect vital system information when problems occur
