## percona-toolkit 3.4.0-3

=== src/go/Makefile ===
--- 
+++ 
@@ -1,29 +1,44 @@
+.PHONY: all style format build test vet tarball linux-amd64 clean help
+
 help:                 ## Display this help message.
 	@echo "Please use \`make <target>\` where <target> is one of:"
 	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | \
 		awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'
+	@echo
+	@echo 'To build binaries use: VERSION=m.n.p make <target>'
+	@echo 'Example: VERSION=3.4.0 make linux-amd64'
+	@echo 'The binaries generation uses pwd command to set the base directory. Please run make from the same directory where the Makefile is located.'
+
+DATE_FMT = +%FT%T%z
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
+endif
 
 GO := go
 pkgs = $(shell find . -type d -name "pt-*" -exec basename {} \;)
-VERSION=$(shell git describe --abbrev=0 --tags)
-BUILD=$(shell date +%FT%T%z)
+BUILD=$(BUILD_DATE)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
-COMMIT=$(shell git rev-list -1 HEAD)
 GOUTILSDIR ?= $(GOPATH)/bin
 FILES = $(shell find . -type f -name '*.go' -not -path "./vendor/*")
+PREFIX=$(shell pwd)
 
-PREFIX=$(shell pwd)
-TOP_DIR=$(shell git rev-parse --show-toplevel)
-BIN_DIR=$(shell git rev-parse --show-toplevel)/bin
-SRC_DIR=$(shell git rev-parse --show-toplevel)/src/go
+CUR_DIR=$(shell pwd)
+COMMIT=$(shell git rev-list -1 HEAD)
+
+TOP_DIR=${CUR_DIR}
+BIN_DIR=${CUR_DIR}/../../bin
+SRC_DIR=${CUR_DIR}/../../src/go
+
 LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -X main.Commit=${COMMIT} -s -w"
 
 TEST_PSMDB_VERSION?=4.0
 TEST_MONGODB_FLAVOR?=percona/percona-server-mongodb
 TEST_MONGODB_ADMIN_USERNAME?=admin
 TEST_MONGODB_ADMIN_PASSWORD?=admin123456
-TEST_MONGODB_USERNAME?=test
-TEST_MONGODB_PASSWORD?=123456
+TEST_MONGODB_USERNAME?=
+TEST_MONGODB_PASSWORD?=
 
 TEST_MONGODB_STANDALONE_PORT?=27017
 
@@ -58,7 +73,6 @@
 export MINIO_ACCESS_KEY_ID
 export MINIO_SECRET_ACCESS_KEY
 
-.PHONY: all style format build test vet tarball linux-amd64
 
 $(GOUTILSDIR)/dep:
 	go get -u github.com/golang/dep/cmd/dep
@@ -103,29 +117,27 @@
 	--detach \
 	--force-recreate \
 	--always-recreate-deps \
-	--renew-anon-volumes \
-	init 
-	docker/test/init-cluster-wait.sh
+	--renew-anon-volumes 
 
 env-down: env				## Clean-up MongoDB docker containers cluster
 	docker-compose down -v
 	rm .env
 
-linux-amd64: 				## Build Mongo tools for linux-amd64
-	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+linux-amd64: 				## Build Mongo tools for linux-amd64.
+	@echo "Building linux/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 linux-386: 					## Build Mongo tools for linux-386
-	@echo "Building linux/386 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+	@echo "Building linux/386 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS) 
-	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+	@echo "Building darwin/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
@@ -138,8 +150,8 @@
 	@./runtests.sh
 
 format:                         ## Format source code.
-	gofmt -w -s $(FILES)
-	goimports -local github.com/percona/pmm-managed -l -w $(FILES)
+	gofumpt -w -s $(FILES)
+	gofumports -local github.com/percona/pmm-managed -l -w $(FILES)
 
 vet:						## Run vet on Go code
 	@echo ">> vetting code"
