=== debian/changelog ===
percona-toolkit (3.4.0-3) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.4.0-3

 -- Percona Jenkins <toolkit-dev@percona.com>  Thu, 07 Jul 2022 19:02:36 +0000

percona-toolkit (3.4.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 07 Jul 2022 19:02:35 +0000
