## percona-toolkit 3.5.0-2

=== debian/changelog ===
percona-toolkit (3.5.0-2) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.0-2

 -- Percona Jenkins <toolkit-dev@percona.com>  Fri, 25 Nov 2022 14:26:32 +0000

percona-toolkit (3.5.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 25 Nov 2022 14:26:32 +0000
