=== debian/changelog ===
percona-toolkit (3.5.1-2) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.1-2

 -- Percona Jenkins <toolkit-dev@percona.com>  Fri, 20 Jan 2023 15:56:37 +0000

percona-toolkit (3.5.1) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 20 Jan 2023 15:56:37 +0000
