=== src/go/pt-secure-collect/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 GO := go
 pkgs   = $(shell basename `git rev-parse --show-toplevel`)
-VERSION ?=$(shell git describe --abbrev=0)
+# VERSION ?=$(shell git describe --abbrev=0) doesn't always work here, need to use git log
+VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, ]' '{ print $$4; }')
 BUILD ?=$(shell date +%FT%T%z)
 GOVERSION ?=$(shell go version | cut --delimiter=" " -f3)
 COMMIT ?=$(shell git rev-parse HEAD)
