=== debian/changelog ===
percona-toolkit (3.5.2-2) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.5.2-2

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Tue, 28 Mar 2023 05:34:16 -0400

percona-toolkit (3.5.2) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 28 Mar 2023 05:34:16 -0400
