## percona-toolkit 3.5.3-1

=== debian/changelog ===
percona-toolkit (3.5.3-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.3-1

 -- Percona Jenkins <toolkit-dev@percona.com>  Tue, 30 May 2023 17:04:06 +0000

percona-toolkit (3.5.3) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 30 May 2023 17:04:06 +0000
