=== debian/changelog ===
percona-toolkit (3.5.4-2) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.5.4-2

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Thu, 29 Jun 2023 11:04:20 -0400

percona-toolkit (3.5.4) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 29 Jun 2023 11:04:20 -0400
