## percona-toolkit 3.5.5-1

=== src/go/Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 	--detach \
 	--force-recreate \
 	--always-recreate-deps \
-	--renew-anon-volumes 
+	--renew-anon-volumes
 
 env-down: env				## Clean-up MongoDB docker containers cluster
 	docker-compose down -v
@@ -139,7 +139,7 @@
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
-darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS) 
+darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS)
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
