=== debian/changelog ===
percona-toolkit (3.5.5-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.5-1

 -- Percona Jenkins <toolkit-dev@percona.com>  Mon, 02 Oct 2023 10:49:08 +0000

percona-toolkit (3.5.5) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Mon, 02 Oct 2023 10:49:08 +0000
