=== src/go/pt-secure-collect/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 ifeq (,$(wildcard ${GOPATH}/src))
-$(error Invalid GOPATH. There is no src dir in the GOPATH) 
+$(error Invalid GOPATH. There is no src dir in the GOPATH)
 endif
 
 ifeq ($(findstring ${GOPATH},${CUR_DIR}), )
@@ -59,7 +59,7 @@
 linux-amd64-tar: linux-amd64
 	@tar cvzf ${BIN_DIR}/pt-secure-collect_linux_amd64.tar.gz -C ${BIN_DIR} pt-secure-collect
 
-darwin-amd64: 
+darwin-amd64:
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
 	@mkdir -p ${BIN_DIR}
 	@GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect *.go
