## percona-toolkit 3.7.1

=== debian/changelog ===
percona-toolkit (3.7.1-1) unstable; urgency=medium

  * Implement package salvaging protocol (Closes: #1109157)
  * New upstream release (3.7.1) (Closes: #1091435)
  * d/p/01-fix-spelling-errors.diff: drop - fixed upstream.
  * d/p/00-fix-perl-shebang.diff: refresh for new version.
  * d/watch: Update to use api.github.com.
  * d/control: Update standards version and remove priority: optional.
  * d/control: Bump debhelper compatibility to 13.
  * d/copyright: Fix headers and update copyright entries.
  * d/upstream/metadata: Add upstream information.
  * Add golang-based tools to install
    - d/control: Add XS-Go-Import-Path, include go build dependencies, add
      static-built-using and swap package to architecture: any.
    - d/rules: Use dh-golang for go tools and skip pt-secure-collect build.
    - d/p/skip-go-makefile.patch: Skip running src/go Makefile.
    - d/p/use-standard-tabwriter-dependency.patch: Use standard text/tabwriter
      dependency instead of Ladicle/tabwriter unavailable in the archive.

 -- Lena Voytek <lena@voytek.dev>  Thu, 19 Feb 2026 12:28:18 -0500
