=== debian/control ===
--- 
+++ 
@@ -1,17 +1,49 @@
 Source: percona-toolkit
 Section: utils
-Priority: optional
-Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: perl
-Standards-Version: 4.5.0
+Maintainer: Lena Voytek <lena@voytek.dev>
+Build-Depends: debhelper-compat (= 13),
+               dh-golang,
+               dh-sequence-golang,
+               golang-any,
+               golang-github-alecthomas-kong-dev,
+               golang-github-aleksi-pointer-dev,
+               golang-github-davecgh-go-spew-dev,
+               golang-github-go-ini-ini-dev,
+               golang-github-golang-mock-dev,
+               golang-github-google-go-cmp-dev,
+               golang-github-google-uuid-dev,
+               golang-github-hashicorp-go-version-dev,
+               golang-github-howeyc-gopass-dev,
+               golang-github-masterminds-semver-dev,
+               golang-github-mattn-go-shellwords-dev,
+               golang-github-montanaflynn-stats-dev,
+               golang-github-pborman-getopt-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-rs-zerolog-dev,
+               golang-github-shirou-gopsutil-dev,
+               golang-github-sirupsen-logrus-dev,
+               golang-github-stretchr-testify-dev,
+               golang-github-xlab-treeprint-dev,
+               golang-golang-x-crypto-dev,
+               golang-golang-x-exp-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
+               golang-gopkg-mgo.v2-dev,
+               golang-gopkg-yaml.v2-dev,
+               golang-k8s-api-dev,
+               golang-k8s-utils-dev,
+               golang-mongodb-mongo-driver-dev,
+               golang-pq-dev,
+               perl
+Standards-Version: 4.7.3
 Homepage: https://www.percona.com/software/database-tools/percona-toolkit
 Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
 Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit
+XS-Go-Import-Path: github.com/percona/percona-toolkit
 
 Package: percona-toolkit
-Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
+Architecture: any
+Static-Built-Using: ${misc:Static-Built-Using}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
 Replaces: maatkit
 Conflicts: maatkit
 Description: Command-line tools for MySQL and system tasks
